clang 10.0.0git

Classes | Namespaces | Functions
AbstractBasicWriter.h File Reference
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/AbstractBasicWriter.inc"`
Include dependency graph for AbstractBasicWriter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::serialization::DataStreamBasicWriter< Impl >
| DataStreamBasicWriter provides convenience implementations for many BasicWriter methods based on the assumption that the ultimate writer implementation is based on a variable-length stream of unstructured data (like Clang's module files). More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialization

## Functions
template<class T >
llvm::Optional< T > | clang::serialization::makeOptionalFromNullable (const T &value)
template<class T >
llvm::Optional< T * > | clang::serialization::makeOptionalFromPointer (T *value)